<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:mature="http://mature-ip.eu/MATURE" xmlns:t="http://mature-ip.eu/MATURE/types"  xmlns:et="http://mature-ip.eu/MATURE/extratypes" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="MATURE" targetNamespace="http://mature-ip.eu/MATURE">
  <wsdl:types>
    <xsd:schema targetNamespace="http://mature-ip.eu/MATURE">	<xsd:import namespace="http://mature-ip.eu/MATURE/types" schemaLocation="MATURE-types.xsd"/>
	<xsd:import namespace="http://mature-ip.eu/MATURE/extratypes" schemaLocation="extraTypes.xsd"/>	 
    
  <xsd:element name="getUserModelRequest">
  	<xsd:complexType>
  		<xsd:sequence>
  			<xsd:element name="userURI" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  				<xsd:annotation>
  					<xsd:documentation>
  					</xsd:documentation>
  				</xsd:annotation>
  			</xsd:element>
  			<xsd:element name="agentKey" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentURI" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>
  <xsd:element name="getUserModelResponse">
  	<xsd:complexType>
  		<xsd:sequence>

  			<xsd:element name="userURI" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  				<xsd:annotation>
  					<xsd:documentation>
  						mailto:agent@example.com
  					</xsd:documentation>
  				</xsd:annotation>
  			</xsd:element>

  			<xsd:element name="name" type="xsd:string" maxOccurs="1"
  				minOccurs="1">
  			</xsd:element>
  			<xsd:element name="proxyURL" type="xsd:string"
  				maxOccurs="unbounded" minOccurs="0">
  			</xsd:element>

  			<xsd:element name="tagAssignmentList"
  				type="t:tagAssignment" maxOccurs="unbounded" minOccurs="0">
  				<xsd:annotation>
  					<xsd:documentation>
  						tag assignments added by this user
  					</xsd:documentation>
  				</xsd:annotation>
  			</xsd:element>
  			<xsd:element name="ratingAssignmentList"
  				type="t:ratingAssignment" maxOccurs="unbounded" minOccurs="0">
  				<xsd:annotation>
  					<xsd:documentation>
  						rating assignments added by this user
  					</xsd:documentation>
  				</xsd:annotation>
  			</xsd:element>



  			<xsd:element name="lastMetric" type="xsd:string"></xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>





  <xsd:element name="getRelatedResourcesRequest">
  	<xsd:complexType>
  		<xsd:sequence>

  			<xsd:element name="userURI" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentKey" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentURI" type="xsd:string" maxOccurs="1" minOccurs="1"></xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>
  <xsd:element name="getRelatedResourcesResponse">
  	<xsd:complexType>
  		<xsd:sequence>

  			<xsd:element name="relatedResourceURI" type="xsd:string" maxOccurs="unbounded" minOccurs="0"></xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>
  <xsd:element name="getLoggedEventsRequest">

  </xsd:element>
  <xsd:element name="getMetricHistoryRequest">
  	<xsd:complexType>
  		<xsd:sequence>
  			<xsd:element name="userURI" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentKey" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentURI" type="xsd:string" maxOccurs="1" minOccurs="1"></xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>
   <xsd:element name="getTagHistoryRequest">
  	<xsd:complexType>
  		<xsd:sequence>
  			<xsd:element name="userURI" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentKey" type="xsd:string"
  				maxOccurs="1" minOccurs="1">
  			</xsd:element>
  			<xsd:element name="agentURI" type="xsd:string" maxOccurs="1" minOccurs="1"></xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>
  <xsd:element name="getTagHistoryResponse">
  	<xsd:complexType>
  		<xsd:sequence>
  			<xsd:element name="loggedEventsResult" type="t:logEvent" maxOccurs="unbounded" minOccurs="0"></xsd:element>
  		</xsd:sequence>
  	</xsd:complexType>
  </xsd:element>
    </xsd:schema>
</wsdl:types>
  <wsdl:message name="invalidKeyException">
  	<wsdl:part name="parameters" element="t:invalidKeyMsg"></wsdl:part>
  </wsdl:message>

  <wsdl:message name="getUserModelRequest">
  	<wsdl:part name="parameters" element="mature:getUserModelRequest"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getUserModelResponse">
  	<wsdl:part name="parameters" element="mature:getUserModelResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getRelatedResourcesRequest">
  	<wsdl:part name="parameters" element="mature:getRelatedResourcesRequest"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getRelatedResourcesResponse">
  	<wsdl:part name="parameters" element="mature:getRelatedResourcesResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getLoggedEventsRequest">
  	<wsdl:part name="parameters" element="mature:getLoggedEventsRequest"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getLoggedEventsResponse">
  	<wsdl:part name="parameters" element="et:getLoggedEventsResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getMetricHistoryRequest">
  	<wsdl:part name="parameters" element="mature:getMetricHistoryRequest"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getMetricHistoryResponse">
  	<wsdl:part name="parameters" element="et:getMetricHistoryResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getTagHistoryRequest">
  	<wsdl:part name="parameters" element="mature:getTagHistoryRequest"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getTagHistoryResponse">
  	<wsdl:part name="parameters" element="mature:getTagHistoryResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:portType name="MATURE-UserModelService">
 	<wsdl:operation name="getUserModel">
 		<wsdl:input message="mature:getUserModelRequest"></wsdl:input>
 		<wsdl:output message="mature:getUserModelResponse"></wsdl:output>
            <wsdl:fault name="faultKey" message="mature:invalidKeyException"></wsdl:fault>
        </wsdl:operation>

 	<wsdl:operation name="getRelatedResources">
 		<wsdl:input message="mature:getRelatedResourcesRequest"></wsdl:input>
 		<wsdl:output message="mature:getRelatedResourcesResponse"></wsdl:output>
            <wsdl:fault name="faultKey" message="mature:invalidKeyException"></wsdl:fault>
        </wsdl:operation>
 	<wsdl:operation name="getLoggedEvents">
 		<wsdl:documentation>getLoggedEvents for which this user is maker</wsdl:documentation>
 		<wsdl:input message="mature:getLoggedEventsRequest"></wsdl:input>
 		<wsdl:output message="mature:getLoggedEventsResponse"></wsdl:output>
            <wsdl:fault name="faultKey" message="mature:invalidKeyException"></wsdl:fault>
        </wsdl:operation>
 	<wsdl:operation name="getMetricHistory">
 		<wsdl:input message="mature:getMetricHistoryRequest"></wsdl:input>
 		<wsdl:output message="mature:getMetricHistoryResponse"></wsdl:output>
            <wsdl:fault name="faultKey" message="mature:invalidKeyException"></wsdl:fault>
        </wsdl:operation>
 	<wsdl:operation name="getTagHistory">
 		<wsdl:documentation>returns the log events with this user as maker and tags as objectURIs</wsdl:documentation>
 		<wsdl:input message="mature:getTagHistoryRequest"></wsdl:input>
 		<wsdl:output message="mature:getTagHistoryResponse"></wsdl:output>
            <wsdl:fault name="faultKey" message="mature:invalidKeyException"></wsdl:fault>
        </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="MATUREUserModelSOAP"
  	type="mature:MATURE-UserModelService">

  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="getUserModel">

  		<soap:operation
  			soapAction="http://mature-ip.eu/MATURE/getUserModel" />
  		<wsdl:input>

  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>

  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="faultKey">

  			<soap:fault use="literal" name="faultKey" />
  		</wsdl:fault>
  	</wsdl:operation>

  	<wsdl:operation name="getRelatedResources">

  		<soap:operation
  			soapAction="http://mature-ip.eu/MATURE/getRelatedResources" />
  		<wsdl:input>

  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>

  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="faultKey">
  			<soap:fault use="literal" name="faultKey" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="getLoggedEvents">

  		<soap:operation
  			soapAction="http://mature-ip.eu/MATURE/getLoggedEvents" />
  		<wsdl:input>

  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>

  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="faultKey">
  			<soap:fault use="literal" name="faultKey" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="getMetricHistory">

  		<soap:operation
  			soapAction="http://mature-ip.eu/MATURE/getMetricHistory" />
  		<wsdl:input>

  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>

  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="faultKey">
  			<soap:fault use="literal" name="faultKey" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="getTagHistory">

  		<soap:operation
  			soapAction="http://mature-ip.eu/MATURE/getTagHistory" />
  		<wsdl:input>

  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>

  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="faultKey">
  			<soap:fault use="literal" name="faultKey" />
  		</wsdl:fault>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="MATURE-UserModelService">                    <wsdl:port name="userModel" binding="mature:MATUREUserModelSOAP">
    	<soap:address location="http://mature-ip.eu/" />
    </wsdl:port></wsdl:service>
</wsdl:definitions>
